# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	MooseX
%define		pnam	Has-Sugar
Summary:	MooseX::Has::Sugar - Sugar Syntax for moose 'has' fields
Name:		perl-MooseX-Has-Sugar
Version:	0.05070420
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/K/KE/KENTNL/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	566bc8ac848296243d5f09a41c1844d0
URL:		http://search.cpan.org/dist/MooseX-Has-Sugar/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Sub-Exporter
BuildRequires:	perl-MooseX-Types
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-namespace-autoclean
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sugar Syntax for moose 'has' fields.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	destdir=$RPM_BUILD_ROOT \
	installdirs=vendor
./Build

%{?with_tests:./Build test}

%install
rm -rf $RPM_BUILD_ROOT

./Build install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/MooseX/Has
%{perl_vendorlib}/MooseX/Has/Sugar.pm
%dir %{perl_vendorlib}/MooseX/Has/Sugar
%{perl_vendorlib}/MooseX/Has/Sugar/Minimal.pm
%{perl_vendorlib}/MooseX/Has/Sugar/Saccharin.pm
%{_mandir}/man3/*
%changelog
* Sun Jun 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-MooseX-Has-Sugar.git;a=log;h=master

* Sun Jun 23 2013 Jan Rękorajski <baggins@pld-linux.org> 34a2a1a
- rel 1

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> 32de1ec
- up to 0.05070420, BRs, cleanup

* Thu Apr 21 2011 lisu <lisu@pld-linux.org> 2803219
- updated to 0.05070419

* Tue Nov 23 2010 lisu <lisu@pld-linux.org> cd37fcf
- up to 0.05055616
- doesn't build with tests (TODO)
- rel 0.1

* Tue Aug 17 2010 lisu <lisu@pld-linux.org> 48156fc
- up to 0.05046611

* Fri Jul 30 2010 lisu <lisu@pld-linux.org> 2584f31
- new Source0 URL

* Fri Jul 30 2010 lisu <lisu@pld-linux.org> ee2f838
- 0.05044303

* Thu Jan 21 2010 lisu <lisu@pld-linux.org> 9edbb00
- updated to 0.0405
- build using Module::Build instead of MakeMaker

* Thu Nov 19 2009 lisu <lisu@pld-linux.org> 2944cfe
- added to PLD

